
<!---
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
-->
# Apache Impala Changelog

## Release Impala 2.2.8 - Unreleased (as of 2018-10-20)



### IMPROVEMENTS:

| JIRA | Summary | Priority | Component | Reporter | Contributor |
|:---- |:---- | :--- |:---- |:---- |:---- |
| [IMPALA-1136](https://issues.apache.org/jira/browse/IMPALA-1136) | Impala is unable to read hive tables created with the "STORED AS AVRO" clause |  Blocker | . | Tom White | Martin Grund |
| [IMPALA-2249](https://issues.apache.org/jira/browse/IMPALA-2249) | Avoid allocating stringbuffer larger than 1GB in HdfsTextScanner::FillByteBufferCompressedFile() |  Major | . | Juan Yu | Juan Yu |


### BUG FIXES:

| JIRA | Summary | Priority | Component | Reporter | Contributor |
|:---- |:---- | :--- |:---- |:---- |:---- |
| [IMPALA-2130](https://issues.apache.org/jira/browse/IMPALA-2130) | hdfs-parquet-scanner's verification of file version is not correct |  Critical | . | Nong Li | Ippokratis Pandis |
| [IMPALA-2161](https://issues.apache.org/jira/browse/IMPALA-2161) | Avro schema's generated by avro-tools can fail silently |  Major | . | Peter Ebert | Martin Grund |
| [IMPALA-2270](https://issues.apache.org/jira/browse/IMPALA-2270) | FNV hash does not handle empty strings correctly |  Blocker | . | Nong Li | Tim Armstrong |
| [IMPALA-2256](https://issues.apache.org/jira/browse/IMPALA-2256) | Failed DCHECK(idx \<= IDX\_MASK \>\> IDX\_SHIFT) in RowIdx::set |  Blocker | . | Taras Bobrovytsky | Ippokratis Pandis |
| [IMPALA-2314](https://issues.apache.org/jira/browse/IMPALA-2314) | Crash in PHJ::PrepareNextPartition() in call to LargestSpilledPartition() |  Blocker | . | Ippokratis Pandis | Ippokratis Pandis |
| [IMPALA-2165](https://issues.apache.org/jira/browse/IMPALA-2165) | Avoid estimating cardinality 0 in SCAN node |  Major | . | Ippokratis Pandis | Ippokratis Pandis |
| [IMPALA-2366](https://issues.apache.org/jira/browse/IMPALA-2366) | DiskIoMgr error handling with fread() |  Critical | . | Tim Armstrong | Tim Armstrong |
| [IMPALA-2364](https://issues.apache.org/jira/browse/IMPALA-2364) | PHJ DCHECK "state\_ == PROCESSING\_PROBE (3 vs. 1) " |  Blocker | . | Ippokratis Pandis | Ippokratis Pandis |
| [IMPALA-2284](https://issues.apache.org/jira/browse/IMPALA-2284) | Handle large string allocations (\>1GB) in built-in UDFs gracefully |  Critical | . | Martin Grund | Martin Grund |
| [IMPALA-2348](https://issues.apache.org/jira/browse/IMPALA-2348) | The Catalog does not close the connection to the HMS after table invalidation |  Major | . | Dimitris Tsirogiannis | Dimitris Tsirogiannis |
| [IMPALA-2369](https://issues.apache.org/jira/browse/IMPALA-2369) | Crash: impala::Sorter::Run::Init |  Blocker | . | Taras Bobrovytsky | Dimitris Tsirogiannis |
| [IMPALA-2440](https://issues.apache.org/jira/browse/IMPALA-2440) | Full outer join using non-partitioned HJ can incorrectly produce extra row of nulls |  Blocker | . | Matthew Jacobs | Matthew Jacobs |
| [IMPALA-2213](https://issues.apache.org/jira/browse/IMPALA-2213) | Parquet read can fail if file metadata is stale |  Critical | . | Skye Wanderman-Milne | Skye Wanderman-Milne |
| [IMPALA-2477](https://issues.apache.org/jira/browse/IMPALA-2477) | Parquet metadata randomly "appears stale" |  Major | . | casey | Juan Yu |
| [IMPALA-2168](https://issues.apache.org/jira/browse/IMPALA-2168) | SEGV in BufferedTupleStream::num\_rows() in a query with very large, spilling ROJ |  Critical | . | Ippokratis Pandis | Ippokratis Pandis |


